org.wildfly.swarm.config.messaging.activemq.server

## Class ConnectorService<T extends ConnectorService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.ConnectorService<T>

-     public class ConnectorService<T extends ConnectorService<T>>
      extends Object

  A connector service allows to integrate external components with Apache ActiveMQ Artemis to send and receive messages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorService(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `factoryClass()` Class name of the factory class that can instantiate the connector service.
    `T` | `factoryClass(String value)` Class name of the factory class that can instantiate the connector service.
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key/value pair understood by the connector service's factory-class
    `Map` | `params()` A key/value pair understood by the connector service's factory-class
    `T` | `params(Map value)` A key/value pair understood by the connector service's factory-class
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectorService

          public ConnectorService(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### factoryClass

          public String factoryClass()

      Class name of the factory class that can instantiate the connector service.

    - #### factoryClass

          public T factoryClass(String value)

      Class name of the factory class that can instantiate the connector service.

    - #### params

          public Map params()

      A key/value pair understood by the connector service's factory-class

    - #### params

          public T params(Map value)

      A key/value pair understood by the connector service's factory-class

    - #### param

          public T param(String key,
                         Object value)

      A key/value pair understood by the connector service's factory-class

Copyright © 2017 JBoss by Red Hat. All rights reserved.